* py-isort.el

Provides commands, which use the external =isort= tool to tidy up the imports in the current buffer.

Install =isort= and download =py-isort=

#+BEGIN_SRC bash
$ pip install isort
$ wget https://raw.githubusercontent.com/paetzke/py-isort.el/master/py-isort.el \
       -O /your/path/py-isort.el
#+END_SRC

You can also install =py-isort= with /MELPA/:

#+BEGIN_SRC lisp
M-x package-install RET
py-isort RET
#+END_SRC

Add the =before-save-hook= to your =~/.emacs=

#+BEGIN_SRC lisp
(add-to-list 'load-path "/your/path/")
(require 'py-isort)
(add-hook 'before-save-hook 'py-isort-before-save)
#+END_SRC

Now every time you save your Python file =isort= will be executed on the current buffer.

To customize the behaviour of =isort= you can set the =py-isort-options= e.g.

#+BEGIN_SRC lisp
(setq py-isort-options '("--lines=100"))
#+END_SRC


** Functions

- =M-x py-isort-buffer RET=: Uses the =isort= tool to reformat the current buffer.
- =M-x py-isort-region RET=: Uses the =isort= tool to reformat the current region.


** Bugs and improvements

Feel free to open tickets or send pull requests with improvements.
These [[https://github.com/paetzke/py-isort.el/graphs/contributors][contributors]] have done so.
